Bug 267575 - wrong encoding for COMMERCIAL MINUS SIGN
Summary: wrong encoding for COMMERCIAL MINUS SIGN
Status: RESOLVED FIXED
Alias: None
Product: kcharselect
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: OpenSUSE Linux
: NOR minor with 20 votes (vote)
Target Milestone: ---
Assignee: Daniel Laidig
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-03-03 19:35 UTC by Christopher Yeleighton
Modified: 2011-08-26 08:17 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 4.7.1


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Christopher Yeleighton 2011-03-03 19:35:51 UTC
Version:           unspecified (using KDE 4.6.0) 
OS:                Linux

The encoding used in the description is single-byte but the display assumes UTF-8.

Reproducible: Always

Steps to Reproduce:
  1. Tell KDE Character Selector to display the properties of COMMERCIAL MINUS SIGN.

Actual Results:  
  1. abz�glich

Expected Results:  
  1. abzüglich

OS: Linux (x86_64) release 2.6.34.7-0.7-desktop
Compiler: gcc
Comment 1 Christoph Feck 2011-03-03 21:41:10 UTC
Daniel, the source uses fromLatin1() for notes and fromUtf8() for aliases, while in createIndex it uses fromUtf8() for both. Which encoding does the database have?
Comment 2 Christoph Feck 2011-04-16 20:19:23 UTC
Daniel, how is the "kcharselect-data" database created? If possible, the annotations itself should be in UTF-8 instead of Latin1. Additionally, we could update it to Unicode 6.0.0 standard.
Comment 3 Daniel Laidig 2011-08-25 20:40:02 UTC
Git commit f174dd4ed8508f057485078451e7357f834ffb35 by Daniel Laidig.
Committed on 25/08/2011 at 22:34.
Pushed by laidig into branch 'KDE/4.7'.

fix the encoding of character details

BUG: 267575
FIXED-IN: 4.7.1

M  +8    -8    kdeui/widgets/kcharselectdata.cpp

http://commits.kde.org/kdelibs/f174dd4ed8508f057485078451e7357f834ffb35
Comment 4 Daniel Laidig 2011-08-26 08:17:09 UTC
Git commit a0757db698d26bbad2d02d95d825b09e3d1e33fe by Daniel Laidig.
Committed on 25/08/2011 at 22:34.
Pushed by laidig into branch 'frameworks'.

fix the encoding of character details

CCBUG: 267575
(cherry picked from commit f174dd4ed8508f057485078451e7357f834ffb35)

M  +8    -8    kdeui/widgets/kcharselectdata.cpp

http://commits.kde.org/kdelibs/a0757db698d26bbad2d02d95d825b09e3d1e33fe